Sie sind nicht angemeldet.

  • Anmelden

Lieber Besucher, herzlich willkommen bei: Nitrado.net Prepaid Gameserver Community-Support. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

Chriarus

User / Kunde

  • »Chriarus« ist der Autor dieses Themas

Beiträge: 10

  • Nachricht senden

1

Montag, 16. Mai 2016, 17:16

Programiertes Plugin lädt nicht

Bitte fülle die folgenden Maskenabschnitte aus, um es den anderen Usern einfacher zu machen dir zu helfen!
Themen, die nicht dieser Vorlage entsprechen, werden möglicherweise ohne Vorwarnung gelöscht.
Themen, die nicht den Forenregeln entsprechen, werden ebenfalls gelöscht!

Fragen, die mit Canary oder Bukkit zu tun haben, bitte ins entsprechende Unterforum des Minecraft-Forums posten!

Minecraft-Version: 1.9.2

Arbeitsspeicher/RAM: 6

Problembeschreibung: Mein selber entwickeltes plugin lädt nicht obwohl ich alles auskomentiert habe was fehler machen könnte.
Ich bin soweit das ich weis das es etwas mit des Plugin.yml zutun hat aber was ?

Serverlog/Latestlog als Anhang: Serverlog:

PHP-Quelltext

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
[16:45:52 ERROR]: Could not load 'plugins\MoneyMonkey.jar' in folder 'plugins'
org.bukkit.plugin.InvalidDescriptionExceptionInvalid plugin.yml
        at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPlug
inLoader.java:162) ~[craftbukkit.jar:git-Bukkit-935f18b]
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager
.java:133) [craftbukkit.jar:git-Bukkit-935f18b]
        at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.ja
va:293) [craftbukkit.jar:git-Bukkit-935f18b]
        at org.bukkit.craftbukkit.v1_9_R1.CraftServer.reload(CraftServer.java:72
2) [craftbukkit.jar:git-Bukkit-935f18b]
        at org.bukkit.Bukkit.reload(Bukkit.java:548) [craftbukkit.jar:git-Bukkit
-935f18b]
        at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:
25) [craftbukkit.jar:git-Bukkit-935f18b]
        at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:14
0) [craftbukkit.jar:git-Bukkit-935f18b]
        at org.bukkit.craftbukkit.v1_9_R1.CraftServer.dispatchCommand(CraftServe
r.java:624) [craftbukkit.jar:git-Bukkit-935f18b]
        at org.bukkit.craftbukkit.v1_9_R1.CraftServer.dispatchServerCommand(Craf
tServer.java:610) [craftbukkit.jar:git-Bukkit-935f18b]
        at net.minecraft.server.v1_9_R1.DedicatedServer.aL(DedicatedServer.java:
398) [craftbukkit.jar:git-Bukkit-935f18b]
        at net.minecraft.server.v1_9_R1.DedicatedServer.D(DedicatedServer.java:3
62) [craftbukkit.jar:git-Bukkit-935f18b]
        at net.minecraft.server.v1_9_R1.MinecraftServer.C(MinecraftServer.java:6
35) [craftbukkit.jar:git-Bukkit-935f18b]
        at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java
:539) [craftbukkit.jar:git-Bukkit-935f18b]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_60]
Caused byorg.yaml.snakeyaml.error.YAMLExceptionjava.nio.charset.MalformedInp
utExceptionInput length 1
        at org.yaml.snakeyaml.reader.StreamReader.update(StreamReader.java:200)
~[craftbukkit.jar:git-Bukkit-935f18b]
        at org.yaml.snakeyaml.reader.StreamReader.<init>(StreamReader.java:60) ~
[craftbukkit.jar:git-Bukkit-935f18b]
        at org.yaml.snakeyaml.Yaml.load(Yaml.java:381) ~[craftbukkit.jar:git-Buk
kit-935f18b]
        at org.bukkit.plugin.PluginDescriptionFile.<init>(PluginDescriptionFile.
java:232) ~[craftbukkit.jar:git-Bukkit-935f18b]
        at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPlug
inLoader.java:157) ~[craftbukkit.jar:git-Bukkit-935f18b]
        ... 13 more
Caused byjava.nio.charset.MalformedInputExceptionInput length 1
        at java.nio.charset.CoderResult.throwException(Unknown Source) ~[?:1.8.0
_60]
        at sun.nio.cs.StreamDecoder.implRead(Unknown Source) ~[?:1.8.0_60]
        at sun.nio.cs.StreamDecoder.read(Unknown Source) ~[?:1.8.0_60]
        at java.io.InputStreamReader.read(Unknown Source) ~[?:1.8.0_60]
        at org.yaml.snakeyaml.reader.UnicodeReader.read(UnicodeReader.java:123)
~[craftbukkit.jar:git-Bukkit-935f18b]
        at java.io.Reader.read(Unknown Source) ~[?:1.8.0_60]
        at org.yaml.snakeyaml.reader.StreamReader.update(StreamReader.java:184)
~[craftbukkit.jar:git-Bukkit-935f18b]
        at org.yaml.snakeyaml.reader.StreamReader.<init>(StreamReader.java:60) ~
[craftbukkit.jar:git-Bukkit-935f18b]
        at org.yaml.snakeyaml.Yaml.load(Yaml.java:381) ~[craftbukkit.jar:git-Buk
kit-935f18b]
        at org.bukkit.plugin.PluginDescriptionFile.<init>(PluginDescriptionFile.
java:232) ~[craftbukkit.jar:git-Bukkit-935f18b]
        at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPlug
inLoader.java:157) ~[craftbukkit.jar:git-Bukkit-935f18b]
        ... 13 more

Plugin.yml:

PHP-Quelltext

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
nameMoneyMonkey
version1.0
#author: MasterChris
#database: false
#prefix: MoneyMonkey
#description: Dies ist ein Oekonomie Plugin
#website: http://mywebsite.de

mainMoneyMonkey.main

#commands:
#  create-account:
#    description: Erstellt dir eine Bankkonto
#    usage: Du musst es richtig eingeben!!! /create account .
#    permission: MoneyMonkey.create-account
#    permission-message: You don't have <permission>
#  account:
#    description: Zeigt Kontostand an.
#    usage: Syntax fehler /account
#    permission: MoneyMonkey.account
#  transfer:
#    description: Geld Tranfer zu andelm spieler.
#    usage: Syntax fehler /transfer <begünstigterSpieler> <betrag> <notiz>.
#    permission: MoneyMonkey.transfer
#  freeze:
#    description: Konto eines Spielers wird eigefrohren.
#    usage: Syntax fehler /freeze <Spieler> <grund>.
#    permission: MoneyMonkey.freeze
#  refreeze:
#    description: Sperrung eines Kontos wird rückgenig gemacht.
#    usage: Syntax fehler /refreeze <Spieler> .
#    permission: MoneyMonkey.refreeze
#  add-town-monitor:
#    description: Einem Spieler das Townmonitoring freischalten.
#    usage: Syntax fehler //add town monitor <Name>, <Name>, ... 
#    permission: MoneyMonkey.add-town-monitor
#  confirm-town-monitor:
#    description: Bestätigung des spielers das er das Townmonitoring wahr nimmt.
#    usage: Syntax fehler /confirm-town-monitor 
#    permission: MoneyMonkey.confirm-town-monitor
#  setTaxes:
#    description: Damit kannst du die Steuern an die Stadt festlegen 
#    usage: Syntax fehler /setTaxes <SteuernInProzent>
#    permission: MoneyMonkey.setTaxes    
# 
#


und im code ist alles aukommentiert auser die onEnable()-Funktion.

installierte Plugins: keine auser dieses.

Obi_Maus

User / Kunde

  • »Obi_Maus« ist männlich

Beiträge: 196

Wohnort: NRW

Beruf: Vermessungstechniker

  • Nachricht senden

2

Montag, 16. Mai 2016, 17:48

Wieso macht du in der Plugin.yml überall eine "#" vor?

Chriarus

User / Kunde

  • »Chriarus« ist der Autor dieses Themas

Beiträge: 10

  • Nachricht senden

3

Montag, 16. Mai 2016, 18:41

das ist auskommentiert.
ich habe alle befehle auskommentiert und es müsste jetzt ein leeres plugin laden aber das geschieht nicht.


weil nur die drei nicht auskommentierten sachen gebraucht werden.

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »Chriarus« (16. Mai 2016, 18:54)


Obi_Maus

User / Kunde

  • »Obi_Maus« ist männlich

Beiträge: 196

Wohnort: NRW

Beruf: Vermessungstechniker

  • Nachricht senden

4

Montag, 16. Mai 2016, 19:28

Pack die description mal wieder rein.

Chriarus

User / Kunde

  • »Chriarus« ist der Autor dieses Themas

Beiträge: 10

  • Nachricht senden

5

Montag, 16. Mai 2016, 19:47

hatte ich auch schon getest. aber änder nichts an der fehlermeldung. leider ;(

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
[19:45:12 ERROR]: Could not load 'plugins\MoneyMonkey.jar' in folder 'plugins'
org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    	at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPlug
inLoader.java:162) ~[craftbukkit.jar:git-Bukkit-935f18b]
    	at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager
.java:133) [craftbukkit.jar:git-Bukkit-935f18b]
    	at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.ja
va:293) [craftbukkit.jar:git-Bukkit-935f18b]
    	at org.bukkit.craftbukkit.v1_9_R1.CraftServer.<init>(CraftServer.java:25
5) [craftbukkit.jar:git-Bukkit-935f18b]
    	at net.minecraft.server.v1_9_R1.PlayerList.<init>(PlayerList.java:69) [c
raftbukkit.jar:git-Bukkit-935f18b]
    	at net.minecraft.server.v1_9_R1.DedicatedPlayerList.<init>(SourceFile:14
) [craftbukkit.jar:git-Bukkit-935f18b]
    	at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.jav
a:182) [craftbukkit.jar:git-Bukkit-935f18b]
    	at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java
:506) [craftbukkit.jar:git-Bukkit-935f18b]
    	at java.lang.Thread.run(Unknown Source) [?:1.8.0_60]
Caused by: org.yaml.snakeyaml.error.YAMLException: java.nio.charset.MalformedInp
utException: Input length = 1
    	at org.yaml.snakeyaml.reader.StreamReader.update(StreamReader.java:200)
~[craftbukkit.jar:git-Bukkit-935f18b]
    	at org.yaml.snakeyaml.reader.StreamReader.<init>(StreamReader.java:60) ~
[craftbukkit.jar:git-Bukkit-935f18b]
    	at org.yaml.snakeyaml.Yaml.load(Yaml.java:381) ~[craftbukkit.jar:git-Buk
kit-935f18b]
    	at org.bukkit.plugin.PluginDescriptionFile.<init>(PluginDescriptionFile.
java:232) ~[craftbukkit.jar:git-Bukkit-935f18b]
    	at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPlug
inLoader.java:157) ~[craftbukkit.jar:git-Bukkit-935f18b]
    	... 8 more
Caused by: java.nio.charset.MalformedInputException: Input length = 1
    	at java.nio.charset.CoderResult.throwException(Unknown Source) ~[?:1.8.0
_60]
    	at sun.nio.cs.StreamDecoder.implRead(Unknown Source) ~[?:1.8.0_60]
    	at sun.nio.cs.StreamDecoder.read(Unknown Source) ~[?:1.8.0_60]
    	at java.io.InputStreamReader.read(Unknown Source) ~[?:1.8.0_60]
    	at org.yaml.snakeyaml.reader.UnicodeReader.read(UnicodeReader.java:123)
~[craftbukkit.jar:git-Bukkit-935f18b]
    	at java.io.Reader.read(Unknown Source) ~[?:1.8.0_60]
    	at org.yaml.snakeyaml.reader.StreamReader.update(StreamReader.java:184)
~[craftbukkit.jar:git-Bukkit-935f18b]
    	at org.yaml.snakeyaml.reader.StreamReader.<init>(StreamReader.java:60) ~
[craftbukkit.jar:git-Bukkit-935f18b]
    	at org.yaml.snakeyaml.Yaml.load(Yaml.java:381) ~[craftbukkit.jar:git-Buk
kit-935f18b]
    	at org.bukkit.plugin.PluginDescriptionFile.<init>(PluginDescriptionFile.
java:232) ~[craftbukkit.jar:git-Bukkit-935f18b]
    	at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPlug
inLoader.java:157) ~[craftbukkit.jar:git-Bukkit-935f18b]
    	... 8 more
[19:45:12 WARN]: **** SERVER IS RUNNING IN OFFLINE/INSECURE MODE!
[19:45:12 WARN]: The server will make no attempt to authenticate usernames. Bewa
re.
[19:45:12 WARN]: While this makes the game possible to play without internet acc
ess, it also opens up the ability for hackers to connect with any username they
choose.
[19:45:12 WARN]: To change this, set "online-mode" to "true" in the server.prope
rties file.

Obi_Maus

User / Kunde

  • »Obi_Maus« ist männlich

Beiträge: 196

Wohnort: NRW

Beruf: Vermessungstechniker

  • Nachricht senden

6

Montag, 16. Mai 2016, 20:40

Ähnliche Probleme wurden hier bereits behandelt: https://bukkit.org/threads/plugin-yml-error.210805/ und [Bukkit-Plugin] Invalid Plugin.yml

Schokomuffin

Nitrado Mitarbeiter

Beiträge: 636

  • Nachricht senden

7

Mittwoch, 18. Mai 2016, 10:20

Hey,

du verwendest Umlaute in deiner plugin.yml. Leider kann Spigot nicht ohne weiteres mit Umlauten aus YAML Dateien umgehen,
auch wenn diese Kommentiert sind.

Bitte probiere einmal die Umlaute zu entfernen und versuche es erneut.
Dein Plugin sollte nun geladen werden :)
Viele Grüße / Best wishes
Schokomuffin! :)